name: nabeh
description: "Nabeh Mobile Application"
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  # State Management / إدارة الحالة
  flutter_bloc: ^8.1.3
  equatable: ^2.0.5

  # Network & Persistence / الشبكة وتخزين البيانات
  http: ^1.2.0
  flutter_secure_storage: ^9.0.0
  url_launcher: ^6.2.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0
  flutter_launcher_icons: ^0.13.1

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "logo.png"

flutter:
  uses-material-design: true
